changesets: Query changesets

API: openstreetmap.org:openstreetmap-api
Endpoint: /api/0.6/changesets
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 551ms

Description

Query changesets with various filters

Parameters (10)

bbox (string, query, optional)

Bounding box as 'left,bottom,right,top'

closed (boolean, query, optional)

Only closed changesets

display_name (string, query, optional)

User display name

from (string, query, optional)

Changesets created after this time

limit (integer, query, optional, default: 100)

Maximum number of results (max 100)

Constraints: {'maximum': 100}

open (boolean, query, optional)

Only open changesets

order (string, query, optional, default: newest)

Sort order

Constraints: {'enum': ['newest', 'oldest']}

time (string, query, optional)

Changesets closed after this time (ISO 8601)

to (string, query, optional)

Changesets created before this time

user (integer, query, optional)

User ID

Examples (3)

Query changesets by bounding box (San Francisco area) curl
curl 'https://api.openstreetmap.org/api/0.6/changesets?bbox=-122.5%2C37.7%2C-122.3%2C37.8&limit=50'
import requests

resp = requests.get(
    "https://api.openstreetmap.org/api/0.6/changesets",
    params={
        'bbox': '-122.5,37.7,-122.3,37.8',
        'limit': '50',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/changesets", bbox="-122.5,37.7,-122.3,37.8", limit=50)

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/changesets?bbox=-122.5%2C37.7%2C-122.3%2C37.8&limit=50");
const data = await resp.json();
Query changesets by user and time range curl
curl 'https://api.openstreetmap.org/api/0.6/changesets?display_name=SteveCoast&from=2024-01-01T00%3A00%3A00Z&to=2024-02-01T00%3A00%3A00Z'
import requests

resp = requests.get(
    "https://api.openstreetmap.org/api/0.6/changesets",
    params={
        'display_name': 'SteveCoast',
        'from': '2024-01-01T00:00:00Z',
        'to': '2024-02-01T00:00:00Z',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/changesets", display_name="SteveCoast", from="2024-01-01T00:00:00Z", to="2024-02-01T00:00:00Z")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/changesets?display_name=SteveCoast&from=2024-01-01T00%3A00%3A00Z&to=2024-02-01T00%3A00%3A00Z");
const data = await resp.json();
Query open changesets with newest first curl
curl 'https://api.openstreetmap.org/api/0.6/changesets?open=true&order=newest&limit=20'
import requests

resp = requests.get(
    "https://api.openstreetmap.org/api/0.6/changesets",
    params={
        'open': 'true',
        'order': 'newest',
        'limit': '20',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/changesets", open="true", order="newest", limit=20)

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/changesets?open=true&order=newest&limit=20");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:35:17.097720 200 551ms
2026-04-16 03:25:06.415751 200 191ms
2026-04-16 02:15:49.459337 200 202ms
2026-04-15 04:13:31.793694 200 220ms
2026-04-15 04:06:39.444607 200 493ms
2026-04-15 02:59:16.626026 200 206ms
2026-04-14 02:29:39.551792 200 194ms
2026-04-14 01:00:56.938901 200 331ms
2026-04-14 00:23:37.602150 200 439ms
2026-04-12 15:18:32.541488 200 192ms
2026-04-12 14:50:24.865738 200 231ms
2026-04-12 12:43:07.122619 200 1020ms
2026-04-10 05:10:30.050956 200 380ms
2026-04-10 01:05:19.575146 200 170ms
2026-04-10 00:40:58.282813 200 616ms
2026-04-09 03:29:56.371930 200 183ms
2026-04-09 01:48:01.278574 200 451ms
2026-04-09 01:21:18.013152 200 608ms
2026-03-23 10:32:06.125333 200 895ms
2026-03-23 10:21:59.883875 200 193ms
2026-03-23 09:48:40.174070 200 137ms